// Load JSON data:
scala> val jsonData_1 = sqlContext.read.json("file:///home/bdp/data/employees_singleLine.json")
scala> val jsonData_2 = sqlContext.read.json(sc.wholeTextFiles("file:///home/bdp/data/employees_multiLine.json").values)

// Check the schema
scala> jsonData_1.printSchema()
scala> jsonData_2.printSchema()

// Compare the data frame
scala> jsonData_1.except(jsonData_2).show

// Check Data
scala> jsonData_1.show()

// Get ename
scala> jsonData_1.select("ename").show

// Get Distinct deptno
scala> jsonData_1.select("deptno").distinct.show

// Register a table
scala> jsonData_1.registerTempTable("employeeTbl")

// Get Distinct deptno using query on table
scala> sqlContext.sql("select distinct deptno from employeeTbl").show
